# src/detty/Makefile.inc

app := detty
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

DETTY_BAS  := $(app)
DETTY_SRC  := $(foreach f,$(DETTY_BAS),$(rel)/$(f).c)
DETTY_OBJ  := $(foreach f,$(DETTY_BAS),$(rel)/$(f).o)
DETTY_HDR  := $(foreach f,$(DETTY_BAS),$(rel)/$(f).h)
DETTY_MAN1 := $(rel)/$(app).1
DETTY_BIN  := $(rel)/$(app)

DETTY_EXT_BAS := common file strarg strtoint
DETTY_EXT_HDR := $(foreach f,$(DETTY_EXT_BAS),src/lib/$(f).h) src/lib/config.h
DETTY_EXT_OBJ := $(foreach f,$(DETTY_EXT_BAS),src/lib/$(f).o)

BIN  += $(DETTY_BIN)
MAN1 += $(DETTY_MAN1)
CLN  += $(DETTY_BIN) $(DETTY_OBJ)
DIST += $(DETTY_SRC) $(DETTY_HDR) $(DETTY_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(DETTY_HDR) $(DETTY_EXT_HDR)

$(rel)/$(app): $(DETTY_EXT_OBJ) $(DETTY_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(DETTY_OBJ) $(DETTY_EXT_OBJ) -o $@
