# src/fcmp/Makefile.inc

app := fcmp
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

FCMP_BAS  := $(app)
FCMP_SRC  := $(foreach f,$(FCMP_BAS),$(rel)/$(f).c)
FCMP_OBJ  := $(foreach f,$(FCMP_BAS),$(rel)/$(f).o)
FCMP_HDR  := $(foreach f,$(FCMP_BAS),$(rel)/$(f).h)
FCMP_MAN1 := $(rel)/$(app).1
FCMP_BIN  := $(rel)/$(app)

FCMP_EXT_BAS := common file strarg strtoint
FCMP_EXT_HDR := $(foreach f,$(FCMP_EXT_BAS),src/lib/$(f).h) src/lib/config.h
FCMP_EXT_OBJ := $(foreach f,$(FCMP_EXT_BAS),src/lib/$(f).o)

BIN  += $(FCMP_BIN)
MAN1 += $(FCMP_MAN1)
CLN  += $(FCMP_BIN) $(FCMP_OBJ)
DIST += $(FCMP_SRC) $(FCMP_HDR) $(FCMP_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(FCMP_HDR) $(FCMP_EXT_HDR)

$(rel)/$(app): $(FCMP_EXT_OBJ) $(FCMP_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(FCMP_OBJ) $(FCMP_EXT_OBJ) -o $@
