# src/md4/Makefile.inc

app := md4
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

MD4_BAS  := $(app)
MD4_SRC  := $(foreach f,$(MD4_BAS),$(rel)/$(f).c)
MD4_OBJ  := $(foreach f,$(MD4_BAS),$(rel)/$(f).o)
MD4_HDR  := $(foreach f,$(MD4_BAS),$(rel)/$(f).h)
MD4_MAN1 := $(rel)/$(app).1
MD4_BIN  := $(rel)/$(app)

MD4_EXT_BAS := common strarg strtoint md4
MD4_EXT_HDR := $(foreach f,$(MD4_EXT_BAS),src/lib/$(f).h) src/lib/config.h
MD4_EXT_OBJ := $(foreach f,$(MD4_EXT_BAS),src/lib/$(f).o)

BIN  += $(MD4_BIN)
MAN1 += $(MD4_MAN1)
CLN  += $(MD4_BIN) $(MD4_OBJ)
DIST += $(MD4_SRC) $(MD4_HDR) $(MD4_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(MD4_HDR) $(MD4_EXT_HDR)

$(rel)/$(app): $(MD4_EXT_OBJ) $(MD4_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(MD4_OBJ) $(MD4_EXT_OBJ) -o $@
