# src/md5/Makefile.inc

app := md5
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

MD5_BAS  := $(app)
MD5_SRC  := $(foreach f,$(MD5_BAS),$(rel)/$(f).c)
MD5_OBJ  := $(foreach f,$(MD5_BAS),$(rel)/$(f).o)
MD5_HDR  := $(foreach f,$(MD5_BAS),$(rel)/$(f).h)
MD5_MAN1 := $(rel)/$(app).1
MD5_BIN  := $(rel)/$(app)

MD5_EXT_BAS := common strarg strtoint md5
MD5_EXT_HDR := $(foreach f,$(MD5_EXT_BAS),src/lib/$(f).h) src/lib/config.h
MD5_EXT_OBJ := $(foreach f,$(MD5_EXT_BAS),src/lib/$(f).o)

BIN  += $(MD5_BIN)
MAN1 += $(MD5_MAN1)
CLN  += $(MD5_BIN) $(MD5_OBJ)
DIST += $(MD5_SRC) $(MD5_HDR) $(MD5_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(MD5_HDR) $(MD5_EXT_HDR)

$(rel)/$(app): $(MD5_EXT_OBJ) $(MD5_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(MD5_OBJ) $(MD5_EXT_OBJ) -o $@
