# src/ngtotxt/Makefile.inc

app := ngtotxt
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

NGTOTXT_BAS  := $(app)
NGTOTXT_SRC  := $(foreach f,$(NGTOTXT_BAS),$(rel)/$(f).c)
NGTOTXT_OBJ  := $(foreach f,$(NGTOTXT_BAS),$(rel)/$(f).o)
NGTOTXT_HDR  := $(foreach f,$(NGTOTXT_BAS),$(rel)/$(f).h)
NGTOTXT_MAN1 := $(rel)/$(app).1
NGTOTXT_BIN  := $(rel)/$(app)

NGTOTXT_EXT_BAS := common strarg
NGTOTXT_EXT_HDR := $(foreach f,$(NGTOTXT_EXT_BAS),src/lib/$(f).h) src/lib/config.h
NGTOTXT_EXT_OBJ := $(foreach f,$(NGTOTXT_EXT_BAS),src/lib/$(f).o)

BIN  += $(NGTOTXT_BIN)
MAN1 += $(NGTOTXT_MAN1)
CLN  += $(NGTOTXT_BIN) $(NGTOTXT_OBJ)
DIST += $(NGTOTXT_SRC) $(NGTOTXT_HDR) $(NGTOTXT_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(NGTOTXT_HDR) $(NGTOTXT_EXT_HDR)

$(rel)/$(app): $(NGTOTXT_EXT_OBJ) $(NGTOTXT_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(NGTOTXT_OBJ) $(NGTOTXT_EXT_OBJ) -o $@
