# src/relink/Makefile.inc

app := relink
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

RELINK_BAS  := $(app)
RELINK_SRC  := $(foreach f,$(RELINK_BAS),$(rel)/$(f).c)
RELINK_OBJ  := $(foreach f,$(RELINK_BAS),$(rel)/$(f).o)
RELINK_HDR  := $(foreach f,$(RELINK_BAS),$(rel)/$(f).h)
RELINK_MAN1 := $(rel)/$(app).1
RELINK_BIN  := $(rel)/$(app)

RELINK_EXT_BAS := common crc strarg
RELINK_EXT_HDR := $(foreach f,$(RELINK_EXT_BAS),src/lib/$(f).h) src/lib/config.h
RELINK_EXT_OBJ := $(foreach f,$(RELINK_EXT_BAS),src/lib/$(f).o)

BIN  += $(RELINK_BIN)
MAN1 += $(RELINK_MAN1)
CLN  += $(RELINK_BIN) $(RELINK_OBJ)
DIST += $(RELINK_SRC) $(RELINK_HDR) $(RELINK_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(RELINK_HDR) $(RELINK_EXT_HDR)

$(rel)/$(app): $(RELINK_EXT_OBJ) $(RELINK_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(RELINK_OBJ) $(RELINK_EXT_OBJ) -o $@
