# src/slice/Makefile.inc

app := slice
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SLICE_BAS  := $(app)
SLICE_SRC  := $(foreach f,$(SLICE_BAS),$(rel)/$(f).c)
SLICE_OBJ  := $(foreach f,$(SLICE_BAS),$(rel)/$(f).o)
SLICE_HDR  := $(foreach f,$(SLICE_BAS),$(rel)/$(f).h)
SLICE_MAN1 := $(rel)/$(app).1
SLICE_BIN  := $(rel)/$(app)

SLICE_EXT_BAS := common strarg strtoint
SLICE_EXT_HDR := $(foreach f,$(SLICE_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SLICE_EXT_OBJ := $(foreach f,$(SLICE_EXT_BAS),src/lib/$(f).o)

BIN  += $(SLICE_BIN)
MAN1 += $(SLICE_MAN1)
CLN  += $(SLICE_BIN) $(SLICE_OBJ)
DIST += $(SLICE_SRC) $(SLICE_HDR) $(SLICE_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SLICE_HDR) $(SLICE_EXT_HDR)

$(rel)/$(app): $(SLICE_EXT_OBJ) $(SLICE_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SLICE_OBJ) $(SLICE_EXT_OBJ) -o $@
