# src/sparse/Makefile.inc

app := sparse
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SPARSE_BAS  := $(app)
SPARSE_SRC  := $(foreach f,$(SPARSE_BAS),$(rel)/$(f).c)
SPARSE_OBJ  := $(foreach f,$(SPARSE_BAS),$(rel)/$(f).o)
SPARSE_HDR  := $(foreach f,$(SPARSE_BAS),$(rel)/$(f).h)
SPARSE_MAN1 := $(rel)/$(app).1
SPARSE_BIN  := $(rel)/$(app)

SPARSE_EXT_BAS := common file strarg strtoint
SPARSE_EXT_HDR := $(foreach f,$(SPARSE_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SPARSE_EXT_OBJ := $(foreach f,$(SPARSE_EXT_BAS),src/lib/$(f).o)

BIN  += $(SPARSE_BIN)
MAN1 += $(SPARSE_MAN1)
CLN  += $(SPARSE_BIN) $(SPARSE_OBJ)
DIST += $(SPARSE_SRC) $(SPARSE_HDR) $(SPARSE_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SPARSE_HDR) $(SPARSE_EXT_HDR)

$(rel)/$(app): $(SPARSE_EXT_OBJ) $(SPARSE_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SPARSE_OBJ) $(SPARSE_EXT_OBJ) -o $@
