# src/inet/Makefile.inc

app := inet
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

INET_BAS  := $(app)
INET_SRC  := $(foreach f,$(INET_BAS),$(rel)/$(f).c)
INET_OBJ  := $(foreach f,$(INET_BAS),$(rel)/$(f).o)
INET_HDR  := $(foreach f,$(INET_BAS),$(rel)/$(f).h)
INET_MAN1 := $(rel)/$(app).1
INET_BIN  := $(rel)/$(app)

INET_EXT_BAS := common socket strarg strtoint
INET_EXT_HDR := $(foreach f,$(INET_EXT_BAS),src/lib/$(f).h) src/lib/config.h
INET_EXT_OBJ := $(foreach f,$(INET_EXT_BAS),src/lib/$(f).o)

BIN  += $(INET_BIN)
MAN1 += $(INET_MAN1)
CLN  += $(INET_BIN) $(INET_OBJ)
DIST += $(INET_SRC) $(INET_HDR) $(INET_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(INET_HDR) $(INET_EXT_HDR)

$(rel)/$(app): $(INET_EXT_OBJ) $(INET_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(INET_OBJ) $(INET_EXT_OBJ) $(MISC_LIB_SOCKET) -o $@
