# src/lnconv/Makefile.inc

app := lnconv
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

LNCONV_BAS  := $(app)
LNCONV_SRC  := $(foreach f,$(LNCONV_BAS),$(rel)/$(f).c)
LNCONV_OBJ  := $(foreach f,$(LNCONV_BAS),$(rel)/$(f).o)
LNCONV_HDR  := $(foreach f,$(LNCONV_BAS),$(rel)/$(f).h)
LNCONV_MAN1 := $(rel)/$(app).1
LNCONV_BIN  := $(rel)/$(app)

LNCONV_EXT_BAS := common strarg stresc strtoint
LNCONV_EXT_HDR := $(foreach f,$(LNCONV_EXT_BAS),src/lib/$(f).h) src/lib/config.h
LNCONV_EXT_OBJ := $(foreach f,$(LNCONV_EXT_BAS),src/lib/$(f).o)

BIN  += $(LNCONV_BIN)
MAN1 += $(LNCONV_MAN1)
CLN  += $(LNCONV_BIN) $(LNCONV_OBJ)
DIST += $(LNCONV_SRC) $(LNCONV_HDR) $(LNCONV_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(LNCONV_HDR) $(LNCONV_EXT_HDR)

$(rel)/$(app): $(LNCONV_EXT_OBJ) $(LNCONV_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(LNCONV_OBJ) $(LNCONV_EXT_OBJ) -o $@
