# src/rate/Makefile.inc

app := rate
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

RATE_BAS  := $(app)
RATE_SRC  := $(foreach f,$(RATE_BAS),$(rel)/$(f).c)
RATE_OBJ  := $(foreach f,$(RATE_BAS),$(rel)/$(f).o)
RATE_HDR  := $(foreach f,$(RATE_BAS),$(rel)/$(f).h)
RATE_MAN1 := $(rel)/$(app).1
RATE_BIN  := $(rel)/$(app)

RATE_EXT_BAS := common file strarg strtoint
RATE_EXT_HDR := $(foreach f,$(RATE_EXT_BAS),src/lib/$(f).h) src/lib/config.h
RATE_EXT_OBJ := $(foreach f,$(RATE_EXT_BAS),src/lib/$(f).o)

BIN  += $(RATE_BIN)
MAN1 += $(RATE_MAN1)
CLN  += $(RATE_BIN) $(RATE_OBJ)
DIST += $(RATE_SRC) $(RATE_HDR) $(RATE_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(RATE_HDR) $(RATE_EXT_HDR)

$(rel)/$(app): $(RATE_EXT_OBJ) $(RATE_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(RATE_OBJ) $(RATE_EXT_OBJ) -o $@
