# src/slist/Makefile.inc

app := slist
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SLIST_BAS  := $(app)
SLIST_SRC  := $(foreach f,$(SLIST_BAS),$(rel)/$(f).c)
SLIST_OBJ  := $(foreach f,$(SLIST_BAS),$(rel)/$(f).o)
SLIST_HDR  := $(foreach f,$(SLIST_BAS),$(rel)/$(f).h)
SLIST_MAN1 := $(rel)/$(app).1
SLIST_BIN  := $(rel)/$(app)

SLIST_EXT_BAS := common md5 strarg strtoint
SLIST_EXT_HDR := $(foreach f,$(SLIST_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SLIST_EXT_OBJ := $(foreach f,$(SLIST_EXT_BAS),src/lib/$(f).o)

BIN  += $(SLIST_BIN)
MAN1 += $(SLIST_MAN1)
CLN  += $(SLIST_BIN) $(SLIST_OBJ)
DIST += $(SLIST_SRC) $(SLIST_HDR) $(SLIST_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SLIST_HDR) $(SLIST_EXT_HDR)

$(rel)/$(app): $(SLIST_EXT_OBJ) $(SLIST_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SLIST_OBJ) $(SLIST_EXT_OBJ) -o $@
