# src/tjoint/Makefile.inc

app := tjoint
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

TJOINT_BAS  := $(app)
TJOINT_SRC  := $(foreach f,$(TJOINT_BAS),$(rel)/$(f).c)
TJOINT_OBJ  := $(foreach f,$(TJOINT_BAS),$(rel)/$(f).o)
TJOINT_HDR  := $(foreach f,$(TJOINT_BAS),$(rel)/$(f).h)
TJOINT_MAN1 := $(rel)/$(app).1
TJOINT_BIN  := $(rel)/$(app)

TJOINT_EXT_BAS := common file strarg strtoint
TJOINT_EXT_HDR := $(foreach f,$(TJOINT_EXT_BAS),src/lib/$(f).h) src/lib/config.h
TJOINT_EXT_OBJ := $(foreach f,$(TJOINT_EXT_BAS),src/lib/$(f).o)

BIN  += $(TJOINT_BIN)
MAN1 += $(TJOINT_MAN1)
CLN  += $(TJOINT_BIN) $(TJOINT_OBJ)
DIST += $(TJOINT_SRC) $(TJOINT_HDR) $(TJOINT_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(TJOINT_HDR) $(TJOINT_EXT_HDR)

$(rel)/$(app): $(TJOINT_EXT_OBJ) $(TJOINT_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(TJOINT_OBJ) $(TJOINT_EXT_OBJ) -o $@
